> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ponto-on.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Espelho ponto por periodo

> Espelho ponto por periodo



## OpenAPI

````yaml get /funcionarios/espelho/1/1/
openapi: 3.0.3
info:
  title: PontoOn
  version: 1.0.0
  contact: {}
servers:
  - url: https://api-hml.ponto-on.com
security: []
tags:
  - name: Private (Admin)
  - name: Endpoints para Empresas
  - name: Endpoints para Funcionários
  - name: Auth Empresas e Admins
paths:
  /funcionarios/espelho/1/1/:
    get:
      tags:
        - Endpoints para Empresas
      summary: Espelho ponto por periodo
      description: Espelho ponto por periodo
      operationId: espelhoPontoPorPeriodo
      parameters:
        - name: dataInicio
          in: query
          schema:
            type: string
            example: '2024-02-16T00:00:00.000Z'
        - name: dataFim
          in: query
          schema:
            type: string
            example: '2024-03-02T00:00:00.000Z'
      responses:
        '200':
          description: Espelho ponto por periodo
          content:
            application/json:
              schema:
                type: object
                properties:
                  diasTrabalhados:
                    type: number
                    example: 0
                  espelhoPonto:
                    type: object
                    properties:
                      Thu Feb 15 2024 21:00:00 GMT-0300 (Horário Padrão de Brasília):
                        type: object
                        properties:
                          horasTrabalhada:
                            type: string
                            example: '00:00:00'
                          registros:
                            type: array
                            items:
                              type: object
                              properties:
                                falta:
                                  type: boolean
                                  example: true
                                horarioRegistro:
                                  type: string
                                  example: '2024-02-16T19:40:10.000Z'
                                houveAjuste:
                                  nullable: true
                                  example: null
                                localizacao:
                                  type: string
                                  example: '-8.2936035, -35.955603'
                                motivoAjuste:
                                  nullable: true
                                  example: null
                                status:
                                  type: string
                                  example: falta
                                tipo:
                                  type: string
                                  example: falta
                            example:
                              - falta: true
                                horarioRegistro: '2024-02-16T19:40:10.000Z'
                                houveAjuste: null
                                localizacao: '-8.2936035, -35.955603'
                                motivoAjuste: null
                                status: falta
                                tipo: falta
                              - falta: true
                                horarioRegistro: '2024-02-16T19:40:16.000Z'
                                houveAjuste: null
                                localizacao: '-8.2936035, -35.955603'
                                motivoAjuste: null
                                status: falta
                                tipo: falta
                              - falta: true
                                horarioRegistro: '2024-02-16T19:40:19.000Z'
                                houveAjuste: null
                                localizacao: '-8.2936035, -35.955603'
                                motivoAjuste: null
                                status: falta
                                tipo: falta
                              - falta: true
                                horarioRegistro: '2024-02-16T19:40:24.000Z'
                                houveAjuste: null
                                localizacao: '-8.2936035, -35.955603'
                                motivoAjuste: null
                                status: falta
                                tipo: falta
                              - falta: true
                                horarioRegistro: '2024-02-16T19:40:28.000Z'
                                houveAjuste: null
                                localizacao: '-8.2936035, -35.955603'
                                motivoAjuste: null
                                status: falta
                                tipo: falta
                              - falta: true
                                horarioRegistro: '2024-02-16T19:40:04.000Z'
                                houveAjuste: null
                                localizacao: '-8.2936035, -35.955603'
                                motivoAjuste: null
                                status: falta
                                tipo: falta
                  horasExtrasTotais:
                    type: string
                    example: '00:00:00'
                  horasTotais:
                    type: string
                    example: '00:00:00'
                  valorHora:
                    type: string
                    example: '50.00'
                  valorParaPagar:
                    type: string
                    example: "R$\_0,00"
              examples:
                Espelho ponto por periodo:
                  value:
                    diasTrabalhados: 0
                    espelhoPonto:
                      Thu Feb 15 2024 21:00:00 GMT-0300 (Horário Padrão de Brasília):
                        horasTrabalhada: '00:00:00'
                        registros:
                          - falta: true
                            horarioRegistro: '2024-02-16T19:40:10.000Z'
                            houveAjuste: null
                            localizacao: '-8.2936035, -35.955603'
                            motivoAjuste: null
                            status: falta
                            tipo: falta
                          - falta: true
                            horarioRegistro: '2024-02-16T19:40:16.000Z'
                            houveAjuste: null
                            localizacao: '-8.2936035, -35.955603'
                            motivoAjuste: null
                            status: falta
                            tipo: falta
                          - falta: true
                            horarioRegistro: '2024-02-16T19:40:19.000Z'
                            houveAjuste: null
                            localizacao: '-8.2936035, -35.955603'
                            motivoAjuste: null
                            status: falta
                            tipo: falta
                          - falta: true
                            horarioRegistro: '2024-02-16T19:40:24.000Z'
                            houveAjuste: null
                            localizacao: '-8.2936035, -35.955603'
                            motivoAjuste: null
                            status: falta
                            tipo: falta
                          - falta: true
                            horarioRegistro: '2024-02-16T19:40:28.000Z'
                            houveAjuste: null
                            localizacao: '-8.2936035, -35.955603'
                            motivoAjuste: null
                            status: falta
                            tipo: falta
                          - falta: true
                            horarioRegistro: '2024-02-16T19:40:04.000Z'
                            houveAjuste: null
                            localizacao: '-8.2936035, -35.955603'
                            motivoAjuste: null
                            status: falta
                            tipo: falta
                    horasExtrasTotais: '00:00:00'
                    horasTotais: '00:00:00'
                    valorHora: '50.00'
                    valorParaPagar: "R$\_0,00"
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````